Skip to content
Sign In

listFiles

GET
/v5/books/{bookId}/files

List files

Authorizations

Parameters

Path Parameters

bookId
required
string

The id of the book. Same bookId url param on Bkper

Query Parameters

limit
integer format: int32

The dataset limit. Useful for pagination

Responses

200

A FileList response

object
cursor

The cursor, for pagination

string
items

List items

Array<object>
object
agentId

The id of agent that created the resource

string
content

The file content Base64 encoded

string
contentType

The file content type

string
createdAt

The creation timestamp, in milliseconds

string
id

The unique id that identifies the file in the book

string
name

The file name

string
properties

The key/value custom properties of the File

object
key
additional properties
string
size

The file size in bytes

integer format: int64
updatedAt

The last update timestamp, in milliseconds

string
url

The file serving url

string

Examples

{
"cursor": "string",
"items": [
{
"agentId": "string",
"content": "string",
"contentType": "string",
"createdAt": "1592000000000",
"id": "string",
"name": "string",
"properties": {
"key": "value"
},
"size": 1,
"updatedAt": "1592000000000",
"url": "string"
}
]
}

default

An error response from the Bkper API or its public API proxy.

A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.

object
error
object
errors
Array<object>
object
domain
string
reason
string
message
string
code
required
integer format: int32
message
required
string
type
string
title
string
status
integer format: int32
detail
string
instance
string
code
string